DRUO
Get started
Transfers

Create Transfer

POSThttps://api.druo.com/transfers/create

Create a new transfer request.

This endpoint initiates a transfer of funds from an origin account to a destination account, creating a transaction object to track the payment's lifecycle.

Request body

tenant_idstringRequired

The ID of the tenant that originated the transaction.

amountintegerRequired

The transaction amount, represented in the smallest denomination of the specified currency (e.g., cents for USD, so $10.00 is 1000).

descriptionstringRequired

The description of this transaction. End users may see this description in automatic email receipts sent on your behalf.

statement_descriptorstringRequired

The description reported to financial institutions to appear on customer statements. This may not be honored by all institutions. Must be between 4 and 22 characters and contain at least one letter.

auto_send_receiptbooleanRequired

If true, a receipt is automatically generated and sent via the preferred receipt method.

origin_account_idstringRequired

The ID of the account used to fund this transaction.

The ID of the destination account for this transaction.

currencystringRequired

The 3-letter currency code in ISO 4217 format.

primary_referencestringoptional

An optional primary ID associated with the transaction for your own internal tracking. Maximum 40 characters.

secondary_referencestringoptional

An optional secondary ID associated with the transaction for your own internal tracking. Maximum 40 characters.

metadataobjectoptional

A set of key-value pairs attached to the transaction object. You can specify up to 50 keys, with key names up to 40 characters long and values up to 500 characters long.

Response

uuidstringoptional

The transaction's unique identifier.

Example: trx_422f0f81-5001-4cce-a229-242d9ab9960a
codestringoptional

The transaction's short reference code.

Example: TXNMW9PCWE
statusstringoptional

The current status of the transaction.

Possible values:CREATEDPENDINGPROCESSINGSUCCESSFULREFUNDEDDISPUTEDFAILEDCANCELEDREVERSED
Example: SUCCESSFUL
tenantobjectoptional

The unique identifier object of the tenant that originated the transaction.

Example: {"uuid": "ten_0521aadc-5fbd-4b3c-af0a-a4f4b8d6f20a"}
typestringoptional

The type of transaction.

Example: TRANSFER
creation_sourcestringoptional

The initiation source of the transaction.

Example: MERCHANT_PORTAL
amountintegeroptional

The transaction amount, represented in the smallest denomination of the specified currency.

Example: 10000
variable_feeintegeroptional

The variable fee amount charged for this transaction.

Example: 300
fixed_feeintegeroptional

The fixed fee amount charged for this transaction.

Example: 100
total_feeintegeroptional

The total fee amount charged for this transaction.

Example: 400
net_amountintegeroptional

The total net amount (amount minus total_fee) to be settled for this transaction.

Example: 9600
currencyobjectoptional

The transaction currency details.

Example: {"code": "USD"}
descriptionstringoptional

The description of this transaction.

Example: Insurance policy renewal - INV12324
remarksstringoptional

Additional remarks or internal notes about the transaction status.

Example: REQUESTED_BY_MERCHANT
origin_accountstringoptional

The ID of the account used to fund this transaction.

Example: acc_7985e8a4-8f38-4eab-8b27-a5d1c6dbf340
destination_accountstringoptional

The ID of the destination account for this transaction.

Example: acc_7985e8a4-8f38-4eab-8b27-a5d1c6dbf340
statement_descriptorstringoptional

The statement descriptor reported to financial institutions.

Example: NOVO BILLING* INV12324
primary_referencestringoptional

An optional primary ID associated with the transaction for your own internal tracking.

Example: ABC123
secondary_referencestringoptional

An optional secondary ID associated with the transaction for your own internal tracking.

Example: bj39fhow39fhqp3f0hfae4344
metadataobjectoptional

A set of key-value pairs attached to the transaction object.

Example: {"order_id": "6735"}
decline_reasonstringoptional

The reason why the transfer was declined, if applicable.

auto_send_receiptbooleanoptional

If true, a receipt is automatically generated and sent.

Example: false
date_created_gmtstringoptional

The date and time when the transaction was created, in GMT.

Example: 2021-11-15T23:23:38
date_updated_gmtstringoptional

The date and time when the transaction was last updated, in GMT.

Example: 2021-11-15T23:23:38
NextGETGet Transfer